Bug 925544 - hdf: Does not support aarch64 in f19 and rawhide
Summary: hdf: Does not support aarch64 in f19 and rawhide
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hdf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:44 UTC by Dennis Gilmore
Modified: 2014-06-25 20:15 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-25 20:15:34 UTC


Attachments (Terms of Use)
patch + spec changes (19.61 KB, patch)
2014-06-24 16:03 UTC, Marcin Juszkiewicz
no flags Details | Diff
v4 of patch (21.03 KB, patch)
2014-06-25 07:40 UTC, Marcin Juszkiewicz
no flags Details | Diff
v4.1 of patch (21.03 KB, patch)
2014-06-25 08:01 UTC, Marcin Juszkiewicz
no flags Details | Diff

Description Dennis Gilmore 2013-03-23 00:44:20 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  hdf appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/hdf/hdf-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Orion Poplawski 2014-02-25 03:24:14 UTC
Fixed with %configure macro change.

Comment 2 Marcin Juszkiewicz 2014-06-24 16:03:05 UTC
Created attachment 911805 [details]
patch + spec changes

%configure macro solved only config.{guess,sub} problem which was very minor.

This patch adds AArch64 support so it builds and passes most of testsuite. I am waiting for upstream response.

Comment 3 Marcin Juszkiewicz 2014-06-24 16:18:51 UTC
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2448701 is scratch build with attached patch.

Comment 4 Marcin Juszkiewicz 2014-06-25 07:40:35 UTC
Created attachment 911963 [details]
v4 of patch

This is final patchset (same as given yesterday on irc).

Comment 5 Marcin Juszkiewicz 2014-06-25 08:01:02 UTC
Created attachment 911969 [details]
v4.1 of patch

previous version mentioned s391x architecture which is not released yet ;D

Comment 6 Orion Poplawski 2014-06-25 20:15:34 UTC
Looks good, thanks.


Note You need to log in before you can comment on or make changes to this bug.